API ‘BaseVariant.getApplicationIdTextResource’ is obsolete and has been replaced with ‘VariantProperties.applicationId’

When building gradle I’m getting this message:

API 'BaseVariant.getApplicationIdTextResource' is obsolete and has been replaced with 'VariantProperties.applicationId'

I’m using Android Studio 4.1 Canary 10 and gradle:4.1.0-alpha10

Answer

It seems like the Navigation Safe Args plugin uses getApplicationIdTextResource(), so it is most likely that the error message is caused by your usage of that plugin.

You’d want to star the existing issue to ask the Safe Args plugin to use the new replacement API.

Leave a Reply

Your email address will not be published. Required fields are marked *